<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">

<head>
<title>Workflow: Overview</title>
<meta content="text/html; charset=utf-8" http-equiv="Content-Type" />
<link href="http://purl.org/dc/elements/1.1/" rel="schema.DC" />
<meta content="Martin Haase / DAASI International" name="DC.creator" />
<meta content="2009-07-22T16:29:08.37" name="DC.date" />
<link rel="stylesheet" href="../help.css" charset="utf-8"
	type="text/css" />
</head>

<body>
<h1 id="toc0">Overview</h1>
<P>The workflow solution for TextGrid consists of the following
parts:</P>
<UL>
	<LI><P>A workflow <B>engine </B>which receives workflow documents
	and executes them on demand (the <B>GWES</B> Engine)</P></LI>
	<LI><P>An optional <B>monitoring interface</B> for the workflow
	engine (both web-based and log files)</P></LI>
	<LI><P>An <B>XSD schema </B>that describes and documents the syntax
	of TextGrid Workflow (<I>tgwf</I>) documents that users will edit</P></LI>
	<LI><P>An <B>XSLT stylesheet</B> that transforms <I>tgwf</I>
	documents into <I>GridWorkflowDL</I> documents accepted by the GWES</P></LI>
	<LI><P>An <B>API</B> for workflow jobs representations in the
	TextGridLab. It offers facilities to</P>
	<UL>
		<LI><P>read the contents of a TextGridObject representing the <I>tgwf</I>
		workflow</P></LI>
		<LI><P>merge various parameters known in the TextGridLab into the
		<I>tgwf</I> document (instantiate it) such that the user does not
		have to care for them</P></LI>
		<LI><P>execute the job at the machine and query for results</P></LI>
	</UL>
	</LI>
	<LI><P>A <B>GUI</B> implemented as an Eclipse Perspective,
	consisting of an editor area (for the <I>tgwf</I> document or
	input/result objects) and the following views:</P>
	<UL>
		<LI><P>Workflow preparation: 
		</P>
		<UL>
			<LI><P>select a <I>tgwf</I> Workflow document, 
			</P></LI>
			<LI><P>display input TexGridObjects, 
			</P></LI>
			<LI><P>choose the target project where resulting objects are to be
			created</P></LI>
			<LI><P>initiate the execution of the workflow</P></LI>
		</UL>
		</LI>
		<LI><P>Job Management: query for the status of the user's wokflow
		jobs at the engine</P></LI>
		<LI><P>Result viewer: displays the list of resulting
		TextGridObjects created anew</P></LI>
	</UL>
	</LI>
</UL>
<P>An overview of the interplay of these components is given in the
following figure 1.</P>
<P><IMG SRC="wfschema.png" NAME="Grafik1" ALIGN="BOTTOM" WIDTH="100%" BORDER="0"/></P>
<P>Figure 1: architecture of the workflow component</P>
<P>Please see also some slides <A HREF="http://sugi.d-grid.de/fileadmin/user_upload/sugi_storage//0000/309/07_Haase.pdf">http://sugi.d-grid.de/fileadmin/user_upload/sugi_storage//0000/309/07_Haase.pdf</A>
and a video <A HREF="http://sugi.d-grid.de/fileadmin/user_upload/sugi_storage//0000/309/07_haase.html">http://sugi.d-grid.de/fileadmin/user_upload/sugi_storage//0000/309/07_haase.html</A>
(22 minutes) of a presentation of this system (in German).</P>
</body>
</html>